/* REXX SCRIPT TO CREATE SOME TM2LABO PROGRAM ICONS */
if RxFuncQuery('SysLoadFuncs') then do
   call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
   call SysLoadFuncs
end

say "Creating PM Program objects..."

dir = directory() || '\'
dirdll = directory() || '\'

call SysCreateObject "WPFolder", "gGfB^[", "<WP_DESKTOP>", "OBJECTID=<FDR_TM2LABO_EPM>;OPEN=ICON;ICONVIEWPOS=45,65,50,30;ALWAYSSORT=YES;ICONRESOURCE=1," || dirdll || "EPMI0DLL.DLL;ICONNRESOURCE=1,2," || dirdll || "EPMI0DLL.DLL;", "REPLACE"
call SysCreateObject "WPProgram", "gGfB^[", "<FDR_TM2LABO_EPM>", "EXENAME=EPM.EXE;OBJECTID=<PRG_TM2LABO_EPMICON_EPM>;ASSOCFILTER=*.TXT,README.*,*.DOC;ASSOCTYPE=eLXg;","REPLACE"
call SysCreateObject "WPProgram", "nCp[eLXg", "<FDR_TM2LABO_EPM>", "EXENAME=EPM.EXE;OBJECTID=<PRG_TM2LABO_EPMICON_HTML>;ASSOCFILTER=*.HTM,*.HTML,*.SHTML,*.HTJ,*.HTE;ASSOCTYPE=text/html,HTML;ICONRESOURCE=10," || dirdll || "EPMI0DLL.DLL;","REPLACE"
call SysCreateObject "WPProgram", "bfh", "<FDR_TM2LABO_EPM>", "EXENAME=EPM.EXE;OBJECTID=<PRG_TM2LABO_EPMICON_CGI>;ASSOCFILTER=*.CGI,*.PL,.htaccess,*.pwd;ICONRESOURCE=11," || dirdll || "EPMI0DLL.DLL;","REPLACE"
call SysCreateObject "WPProgram", "Xg", "<FDR_TM2LABO_EPM>", "EXENAME=EPM.EXE;OBJECTID=<PRG_TM2LABO_EPMICON_LST>;ASSOCFILTER=*.LST,*CGI*.DAT;ICONRESOURCE=12," || dirdll || "EPMI0DLL.DLL;","REPLACE"
call SysCreateObject "WPProgram", "\[XLq", "<FDR_TM2LABO_EPM>", "EXENAME=EPM.EXE;OBJECTID=<PRG_TM2LABO_EPMICON_RC>;ASSOCFILTER=*.RC;ICONRESOURCE=21," || dirdll || "EPMI0DLL.DLL;","REPLACE"
call SysCreateObject "WPProgram", "_CAO", "<FDR_TM2LABO_EPM>", "EXENAME=EPM.EXE;OBJECTID=<PRG_TM2LABO_EPMICON_DLG>;ASSOCFILTER=*.DLG;ICONRESOURCE=22," || dirdll || "EPMI0DLL.DLL;","REPLACE"
call SysCreateObject "WPProgram", "\[XR[h", "<FDR_TM2LABO_EPM>", "EXENAME=EPM.EXE;OBJECTID=<PRG_TM2LABO_EPMICON_C>;ASSOCFILTER=*.C,*.CPP,*.H,*.HPP,*.ASM;ASSOCTYPE=C R[h;ICONRESOURCE=20," || dirdll || "EPMI0DLL.DLL;","REPLACE"
call SysCreateObject "WPProgram", "ocw", "<FDR_TM2LABO_EPM>", "EXENAME=EPM.EXE;OBJECTID=<PRG_TM2LABO_EPMICON_PDX>;ASSOCFILTER=*.PDX;ICONRESOURCE=13," || dirdll || "EPMI0DLL.DLL;","REPLACE"
call SysCreateObject "WPProgram", "O/}bv", "<FDR_TM2LABO_EPM>", "EXENAME=EPM.EXE;OBJECTID=<PRG_TM2LABO_EPMICON_LOG>;ASSOCFILTER=*.LOG,*.MAP;ICONRESOURCE=14," || dirdll || "EPMI0DLL.DLL;","REPLACE"

say "Completed."

